MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000470XdebugUsage problems (Wrong Results)public2009-09-08 07:512009-10-15 18:25
Reportersebastian 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000470: catch blocks marked as dead code unless executed
DescriptionCode Coverage marks catch blocks as dead code unless the block is actually hit by an exception.

Because of this, PHPUnit marks a method as 100% covered even if there is an untested catch-block.

This was originally reported by a PHPUnit user at http://www.phpunit.de/ticket/842. [^] The ticket has a short and self-contained reproducing test case.
TagsNo tags attached.
Operating SystemNot relevant
PHP Version5.3-dev
Attached Files

- Relationships

-  Notes
(0001092)
derick (administrator)
2009-10-15 18:25

Fixed in CVS (HEAD only)

- Issue History
Date Modified Username Field Change
2009-09-08 07:51 sebastian New Issue
2009-09-08 07:51 sebastian Operating System => Not relevant
2009-09-08 07:51 sebastian PHP Version => 5.3-dev
2009-09-08 07:51 sebastian Xdebug Version => 2.1.0-dev
2009-10-15 18:25 derick Note Added: 0001092
2009-10-15 18:25 derick Status new => closed
2009-10-15 18:25 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker